Deactivate appointment
Sets an appointment as deactivated. The path must contain the most recent version to prevent race conditions. Deactivating historic versions is not supported. Subsequent updates via PUT to the appointment will "reactivate" the appointment and set the deactivated flag to false.
Authorization
BearerAuth Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
The unique identifier for an Appointment.
Response Body
application/json
application/json
curl -X DELETE "https://example.com/appointments/v1/string/string"Get appointment history GET
Gets an appointment along with it's full history. The return list is ordered by version ascending.
Update appointment PUT
Updates an appointment. The path must contain the next version number to prevent race conditions. For example, if the current version of the appointment is n, you will need to send a request to this endpoint with `/{id}/n+1` to update the appointment. Updating historic versions is not supported.